<?php
if ($file -> group_edit <= $user -> group || ($file -> id_user && $file -> id_user == $user -> id))
{


switch (@$_GET['act']) {
case 'edit_prop':{

$groups = groups::load_ini(); // загружаем массив групп
$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?order='.$order.'&amp;'.passgen());
$elements=array();
$elements[]=array('type'=>'input_text', 'title'=>'Название файла *', 'br'=>1, 'info'=>array('name'=>'name','value'=>$file -> runame));

$elements[]=array('type'=>'textarea', 'title'=>'Описание', 'br'=>1, 'info'=>array('name'=>'description','value'=>$file -> description));


if ($file -> group_edit <= $user -> group){
$options=array();
foreach ($groups as $type=>$value) {
$options[]=array($type,$value['name'],$type==$file->group_show);
}
$elements[]=array('type'=>'select', 'br'=>1, 'title'=>'Просмотр/скачивание файла', 'info'=>array('name' => 'group_show','options' => $options));

$options=array();
foreach ($groups as $type=>$value) {
$options[]=array($type,$value['name'],$type==$file->group_edit);
}
$elements[]=array('type'=>'select', 'br'=>1, 'title'=>'Изменение параметров', 'info'=>array('name' => 'group_edit','options' => $options));
}


$elements[]=array('type'=>'text', 'value'=>'* На сервере имя файла будет на транслите', 'br'=>1);

$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'edit_prop', 'value'=>'Применить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');

}
break;
case 'edit_unlink':
{
$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?order='.$order.'&amp;'.passgen());
$elements=array();
if ($file -> id_user && $file -> id_user != $user -> id)
$elements[]=array('type'=>'textarea', 'title'=>'Причина удаления', 'br'=>1, 'info'=>array('name'=>'reason'));
$elements[]=array('type'=>'text','value'=>'Подтвердите удаление файла','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'edit_unlink', 'value'=>'Удалить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
}
break;

}




$doc -> act('Параметры файла','?order='.$order.'&amp;act=edit_prop');
$doc -> act('Скриншоты','?order='.$order.'&amp;act=edit_screens');
$doc -> act('Удалить файл','?order='.$order.'&amp;act=edit_unlink');
}
?>
